commit:     736b2d0247aab9e9bdcd978b9ef2d4025efe3820
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 26 20:41:18 2026 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jan 26 20:43:08 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=736b2d02

dev-ruby/activerecord: add 8.1.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/activerecord/Manifest                  |  1 +
 dev-ruby/activerecord/activerecord-8.1.2.ebuild | 99 +++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-ruby/activerecord/Manifest b/dev-ruby/activerecord/Manifest
index 959a8e67b10c..c8645b46085b 100644
--- a/dev-ruby/activerecord/Manifest
+++ b/dev-ruby/activerecord/Manifest
@@ -3,3 +3,4 @@ DIST rails-7.1.6.tgz 10960488 BLAKE2B 
3f5d4c164110c2169a1ccd3ccf03914195b868fb07
 DIST rails-7.2.3.tgz 11222967 BLAKE2B 
408474d7ec82581cd7f3621bae861c23496f38b9cc987575243310bded91d306614d2f7c4e4b46e137f8135a56f69646251825f79f5388c24f53314557d73202
 SHA512 
7e1aea66cea0a545d82e27f562bd01e0619a4b007a2ee17a9e0ed89fc8883ddc38f581e094ede90dcbe5a497495f6fd0cde2c62a9f5c40d3b82c5b7711a3d48b
 DIST rails-8.0.4.tgz 11905714 BLAKE2B 
3146be192bd6358018aad6b90e49b3102fcd20203cd7fb00672b75470ce3dca244bb5d2b51661ad0d9123471052b3920c05a33fe450e1109efaa368794bbfd04
 SHA512 
2b01a0abbe24b6f0ffcec10a3a14c50ab325a247832873363922bd3fa174ddbb26a045b6f8e6cff4fe5124d790990ecf5c256111085e5f64146d8b89734ed71c
 DIST rails-8.1.1.tgz 13019384 BLAKE2B 
292c15166fa346a069bc1cbdd4c288722d474e53c3582f59d25ce16b7382122b9693981e6da24f64a57b7c80e07d64cbfa2769916daa8279dfe7b4924b301152
 SHA512 
4dcd8ef416eae2af8911801df1c0f4502cd625710df688bd8de3d4d4120fdddcdc38630982e8d4296d99a6113a52445e3d255228b17e7f6c625fd08b80e20150
+DIST rails-8.1.2.tgz 13031832 BLAKE2B 
85bde01384698e7556d53339435b94f884a0c385adafd5dbcda9183e4d6899f0817805426c35b464d4a98a7f91753936450c00fe06f5460e43a0439e79ef5694
 SHA512 
b46e6d728bdfa846eeaaf10cdda0b680760665f9f003bbad01b40ab3c4356115aadd7bd7d394297f294e3122852e9505acbe8e9cc3606cf2ef136600ae38b473

diff --git a/dev-ruby/activerecord/activerecord-8.1.2.ebuild 
b/dev-ruby/activerecord/activerecord-8.1.2.ebuild
new file mode 100644
index 000000000000..fb43da45fde0
--- /dev/null
+++ b/dev-ruby/activerecord/activerecord-8.1.2.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+# this is not null so that the dependencies will actually be filled
+RUBY_FAKEGEM_TASK_TEST="test"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activerecord.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Implements the ActiveRecord pattern (Fowler, PoEAA) for ORM"
+HOMEPAGE="https://github.com/rails/rails/";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="mysql postgres sqlite"
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "~dev-ruby/activesupport-${PV}
+       ~dev-ruby/activemodel-${PV}
+       >=dev-ruby/timeout-0.4.0
+       sqlite? ( >=dev-ruby/sqlite3-2.1 )
+       mysql? ( dev-ruby/mysql2:0.5 )
+       postgres? ( >=dev-ruby/pg-1.1:1 )"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/benchmark-ips
+               dev-ruby/bundler
+               ~dev-ruby/actionpack-${PV}
+               ~dev-ruby/activejob-${PV}
+               ~dev-ruby/railties-${PV}
+               >=dev-ruby/sqlite3-2.1
+               dev-ruby/mocha
+               dev-ruby/minitest:6
+               dev-ruby/minitest-mock
+       )"
+
+DEPEND+=" test? ( >=dev-db/sqlite-3.12.1 )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       rm ../Gemfile.lock || die
+       sed -e 
"/\(uglifier\|system_timer\|sdoc\|w3c_validators\|pg\|jquery-rails\|execjs\|'mysql'\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' \
+               -i ../Gemfile || die
+       sed -e '/bcrypt/ s/3.0.0/3.0/' \
+               -i ../Gemfile || die
+       sed -i -e '/byebug/ s:^:#:' test/cases/base_prevent_writes_test.rb || 
die
+
+       sed -e '2igem "minitest", "~> 6.0"; gem "minitest-mock"' \
+               -i test/cases/helper.rb || die
+
+       # Add back json in the Gemfile because we dropped some dependencies
+       # earlier that implicitly required it.
+       sed -i -e '$agem "json"' ../Gemfile || die
+
+       # Avoid single tests using mysql or postgres dependencies.
+       rm test/cases/invalid_connection_test.rb || die
+       sed -e '/test_switching_connections_with_database_url/askip "postgres"' 
\
+               -i 
test/cases/connection_adapters/connection_handlers_multi_db_test.rb || die
+
+       # Avoid failing test that makes bad assumptions on database state.
+       sed -i -e '/test_do_not_call_callbacks_for_delete_all/,/^  end/ s:^:#:' 
\
+               test/cases/associations/has_many_associations_test.rb
+
+       # Avoid test failing to bind limit length in favor of security release
+       sed -i -e '/test_too_many_binds/askip "Fails on Gentoo"' 
test/cases/bind_parameter_test.rb || die
+
+       # Avoid test requiring specific locales
+       sed -i -e '/test_unicode_input_casting/askip "Requires specific 
locales"' test/cases/binary_test.rb || die
+
+       # Avoid test not compatible with new sqlite versions
+       sed -e '/test_strict_strings_by_default/askip "Fails with newer 
sqlite"' \
+               -i test/cases/adapters/sqlite3/sqlite3_adapter_test.rb || die
+
+       # Avoid tests requiring a full Rails setup
+       rm -f test/cases/adapters/sqlite3/dbconsole_test.rb || die
+}
+
+each_ruby_test() {
+       if use sqlite; then
+               ${RUBY} -S rake test_sqlite3 || die "sqlite3 tests failed"
+       fi
+}

Reply via email to